public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matt Thode" <prometheanfire@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/oslo-reports/
Date: Mon, 27 Feb 2017 04:27:02 +0000 (UTC)	[thread overview]
Message-ID: <1488169560.7979a0fe3edf2fa6c6b9286d63fb24f9d50ed44a.prometheanfire@gentoo> (raw)

commit:     7979a0fe3edf2fa6c6b9286d63fb24f9d50ed44a
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 27 03:27:23 2017 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Mon Feb 27 04:26:00 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7979a0fe

dev-python/oslo-reports: bup

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 dev-python/oslo-reports/Manifest                   |  1 +
 dev-python/oslo-reports/oslo-reports-1.17.0.ebuild | 39 ++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/dev-python/oslo-reports/Manifest b/dev-python/oslo-reports/Manifest
index 7ab8250aad..109b41c7dd 100644
--- a/dev-python/oslo-reports/Manifest
+++ b/dev-python/oslo-reports/Manifest
@@ -1,2 +1,3 @@
 DIST oslo.reports-1.14.0.tar.gz 43275 SHA256 85ca612188d1f0b4e88ef2f725139fed67b6c11a8377325c2ec78f500ff06cc2 SHA512 9af65e2479adb4ae17bade9d7c44ddb2c03b6d758f4b88745be63ed37502f3b16b4a3edf4c637070924980a3d1969d18e49f6d4b84844c66f8be0e30225e6796 WHIRLPOOL b61d024621a6c4c02b7e6e90d8d9fea9bccf3a29b92b5f723039c3ffe6f1fdb630a62c486d1da154b26fc228d02604109bce4c648b3bcba8777ef51fea1c63a6
+DIST oslo.reports-1.17.0.tar.gz 47891 SHA256 0f1b825ff32d0b36a1823116a2bddece1bbd17d8f85d8e8e5f8274df80d16852 SHA512 1fded7c8d6149dbbe11fb6fb28f6db656571519fcc093bfa7bf85a8d998c6cf23f28512e0658c9f8f547185f10bfb3b993fdc52942eac5ba884d2ee15556ad20 WHIRLPOOL 61f29933952e474aaac19f77a2165c14db0fc416b2d8e7d38351143dd4ca8af78f9652b099f18fa64ce898bb83a1bb217b97a7985b52dbd451f2cec297e32e77
 DIST oslo.reports-1.7.0.tar.gz 41592 SHA256 288e9a3b699fcefcb9ae8d848a965e5c6918729b4200ae0e799b077a8e8ecafa SHA512 be40ade6d4d67eb7766bf7f1609809c92817363c8788ff6a8c069d6de650eef57e4ea243a03eab2e855866966c1e95999235363066f9a84faad25f9bc4c9b138 WHIRLPOOL 2422a76258f73a33efa92bcc016a4cefd9dee40459cd1185a9f6140fb13bc91618025a0da928b629d05cd734e239558847c41e64676543a0ef92f7d0e8c808de

diff --git a/dev-python/oslo-reports/oslo-reports-1.17.0.ebuild b/dev-python/oslo-reports/oslo-reports-1.17.0.ebuild
new file mode 100644
index 0000000000..0c16ed0946
--- /dev/null
+++ b/dev-python/oslo-reports/oslo-reports-1.17.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_4 python3_5 )
+
+inherit distutils-r1
+
+DESCRIPTION="generified reports for openstack"
+HOMEPAGE="http://docs.openstack.org/developer/oslo.reports"
+SRC_URI="mirror://pypi/${PN:0:1}/oslo.reports/oslo.reports-${PV}.tar.gz"
+S="${WORKDIR}/oslo.reports-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE=""
+
+CDEPEND=">=dev-python/pbr-1.8[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+	${CDEPEND}"
+RDEPEND="
+	${CDEPEND}
+	>=dev-python/jinja-2.8[${PYTHON_USEDEP}]
+	!~dev-python/jinja-2.9.0[${PYTHON_USEDEP}]
+	!~dev-python/jinja-2.9.1[${PYTHON_USEDEP}]
+	!~dev-python/jinja-2.9.2[${PYTHON_USEDEP}]
+	!~dev-python/jinja-2.9.3[${PYTHON_USEDEP}]
+	!~dev-python/jinja-2.9.4[${PYTHON_USEDEP}]
+	>=dev-python/oslo-serialization-1.10.0[${PYTHON_USEDEP}]
+	>=dev-python/psutil-1.2.1[${PYTHON_USEDEP}]
+	>=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-i18n-2.1.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-utils-3.18.0[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+	sed -i '/^hacking/d' test-requirements.txt || die
+	distutils-r1_python_prepare_all
+}


             reply	other threads:[~2017-02-27  4:27 UTC|newest]

Thread overview: 23+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-02-27  4:27 Matt Thode [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-11-27 16:18 [gentoo-commits] repo/gentoo:master commit in: dev-python/oslo-reports/ Michał Górny
2020-11-25  9:23 Michał Górny
2020-10-18  3:48 Matthew Thode
2020-01-13  9:48 Michał Górny
2019-05-11 19:25 Matthew Thode
2019-04-10 22:44 Matthew Thode
2018-06-26 17:43 Pacho Ramos
2018-06-18  1:59 Matt Thode
2018-02-22 19:59 Matt Thode
2018-01-28  4:13 Matt Thode
2017-12-30 17:38 Matt Thode
2017-12-30 17:38 Matt Thode
2017-11-30  5:42 Matt Thode
2017-08-28 21:52 Matt Thode
2017-07-06 16:58 Matt Thode
2017-07-06 16:58 Matt Thode
2016-03-29 18:46 Matt Thode
2016-03-25 22:19 Matt Thode
2016-02-28  5:58 Matt Thode
2015-10-18 22:01 Matt Thode
2015-10-16  5:25 Matt Thode
2015-10-15  7:58 Matt Thode

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1488169560.7979a0fe3edf2fa6c6b9286d63fb24f9d50ed44a.prometheanfire@gentoo \
    --to=prometheanfire@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox